Skip to main content
GET
/
invoices
/
payments
/
{id}
Retrieve an invoice payment
curl --request GET \
  --url https://api.syntage.com/invoices/payments/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.syntage.com/invoices/payments/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.syntage.com/invoices/payments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "@context": "/contexts/InvoicePayment",
  "@id": "/invoices/payments/91106968-1abd-4d64-85c1-4e73d96fb997",
  "@type": "InvoicePayment",
  "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
  "invoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
  "currency": "MXN",
  "exchangeRate": 19.8,
  "installment": 3,
  "previousBalance": 53249.8,
  "amount": -53249.8,
  "outstandingBalance": 0,
  "invoice": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
  "batchPayment": "/invoices/batch-payments/91106968-1abd-4d64-85c1-4e73d96fb997",
  "canceledAt": "2023-11-07T05:31:56Z",
  "createdAt": "2020-01-01T12:15:00.000Z",
  "updatedAt": "2020-01-01T12:15:00.000Z"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

id
string<uuid>
required

Response

Invoice payment resource response

@context
string
default:/contexts/InvoicePayment
@id
string<iri-reference>

Invoice Payment IRI reference

Example:

"/invoices/payments/91106968-1abd-4d64-85c1-4e73d96fb997"

@type
string
default:InvoicePayment
id
string<uuid>

Invoice Payment ID

Example:

"91106968-1abd-4d64-85c1-4e73d96fb997"

invoiceUuid
string<uuid>

The related deferred Invoice UUID (Folio fiscal)

Example:

"def404af-5eef-4112-aa99-d1ec8493b89a"

currency
string | null

ISO 4217 alphabetic currency code

Required string length: 3
Example:

"MXN"

exchangeRate
number<float> | null

Set when currency is different than MXN

Example:

19.8

installment
integer

Payment installment

Example:

3

previousBalance
number<float>

Amount before the payment

Example:

53249.8

amount
number<float>

Payment amount applied to the invoice. Positive values are income for the entity; negative values are expenses.

Example:

-53249.8

outstandingBalance
number<float>

Due amount after a payment

Example:

0

invoice
string<iri-reference>

Invoice IRI reference

Example:

"/invoices/91106968-1abd-4d64-85c1-4e73d96fb997"

batchPayment
string<iri-reference>

Invoice Batch Payment IRI reference

Example:

"/invoices/batch-payments/91106968-1abd-4d64-85c1-4e73d96fb997"

canceledAt
string<date-time> | null

Set when the payment invoice is canceled

createdAt
string

Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

updatedAt
string

Date and time the resource was last updated

Example:

"2020-01-01T12:15:00.000Z"